	import https from './interface'
	const Timestamp = new Date().getTime();//随机时间戳
	
/**
 * 将所有接口统一起来便于维护
 * 如果项目很大可以将 url 独立成文件，接口分成不同的模块
 * handle [boolean] 如果需要自己处理 catch 请求 ，传入 true ，交给接口统一处理 ，请传如 false或不传
 */

//获取用户信息接口
export const getUserInfo = (data) => {
    return https({
        url: '/api/getUserInfo?time='+Timestamp,
        method: 'GET', 
        data,
    })
}
//新用户注册接口
export const regUser = (data) => {
    return https({
        url: '/api/regUser?time='+Timestamp,
        method: 'POST',
        data,
    })
}

//场次列表
export const paimaiGoodspaicat = (data) => {
    return https({
        url: '/api/paimai/goodspaicat?time='+Timestamp,
        method: 'GET', 
        data,
    })
}
//预约
export const yuyue = (data) => {
    return https({
        url: '/api/paimai/yuyue?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//预约列表
export const yuyuelist = (data) => {
    return https({
        url: '/api/paimai/yuyuelist?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//订单列表
export const paiorderlist = (data) => {
    return https({
        url: '/api/paimai/paiorderlist?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//资金记录
export const payjilu = (data) => {
    return https({
        url: '/api/paimai/payjilu?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//兑换预支付订单
export const dhyuzhifu = (data) => {
    return https({
        url: '/api/paimai/dhyuzhifu?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//兑换付款后调用
export const dhinfo = (data) => {
    return https({
        url: '/api/paimai/dhinfo?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//付款后
export const fukuan = (data) => {
    return https({
        url: '/api/paimai/fukuan?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//兑换预支付订单
export const zzyuzhifu = (data) => {
    return https({
        url: '/api/paimai/zzyuzhifu?time='+Timestamp,
        method: 'POST',
        data,
    })
}

//兑换付款后调用
export const zzinfo = (data) => {
    return https({
        url: '/api/paimai/zzinfo?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//团队信息 
export const tuanduiinfo = (data) => {
    return https({
        url: '/api/paimai/tuanduiinfo?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//团队信息 
export const tuanduilist = (data) => {
    return https({
        url: '/api/paimai/tuanduilist?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//团队信息 
export const qianbaomingxi = (data) => {
    return https({
        url: '/api/paimai/qianbaomingxi?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//体现 api/paimai/applyWithdraw
export const applyWithdraw = (data) => {
    return https({
        url: '/api/paimai/applyWithdraw?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//体现记录
export const withdrawLog = (data) => {
    return https({
        url: '/api/paimai/withdrawLog?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//补票
export const jiaoshui = (data) => {
    return https({
        url: '/api/paimai/jiaoshui?time='+Timestamp,
        method: 'POST',
        data,
    })
}

export const jiefeng = (data) => {
    return https({
        url: '/api/paimai/jiefeng?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//捡漏
export const jianloulist = (data) => {
    return https({
        url: '/api/paimai/jianloulist?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//立即捡漏  api/paimai/paiorder
export const paiorder = (data) => {
    return https({
        url: '/api/paimai/paiorder?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//收益 api/paimai/paimai/shifanglist
export const shifanglist = (data) => {
    return https({
        url: '/api/paimai/shifanglist?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//平仓
export const shifang = (data) => {
    return https({
        url: '/api/paimai/shifang?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//捡漏数据 api/paimai/jianlounum
export const jianlounum = (data) => {
    return https({
        url: '/api/paimai/jianlounum?time='+Timestamp,
        method: 'POST',
        data,
    })
}
//新手教程
export const jiaocheng = (data) => {
    return https({
        url: '/api/paimai/jiaocheng?time='+Timestamp,
        method: 'GET',
        data,
    })
}
//参与规则
export const guize = (data) => {
    return https({
        url: '/api/paimai/guize?time='+Timestamp,
        method: 'GET',
        data,
    })
}
//教程详情api/paimai/jiaochengxq
export const jiaochengxq = (data) => {
    return https({
        url: '/api/paimai/jiaochengxq?time='+Timestamp,
        method: 'GET',
        data,
    })
}
//节点详情
export const jiedianxq = (data) => {
    return https({
        url: '/api/paimai/jiedianxq?time='+Timestamp,
        method: 'GET',
        data,
    })
}
// 默认全部导出
export default {
	getUserInfo,
	regUser,
	paimaiGoodspaicat,
	yuyue,
    paiorderlist,
	yuyuelist,
	payjilu,
	dhyuzhifu,
	dhinfo,
	zzyuzhifu,
	zzinfo,
	tuanduiinfo,
	tuanduilist,
	qianbaomingxi,
	applyWithdraw,
	withdrawLog,
	jiaoshui,
	fukuan,
	jiefeng,
	jianloulist,
	paiorder,
	shifanglist,
	shifang,
	jianlounum,
	jiaocheng,
	guize,
	jiaochengxq,
	jiedianxq
}